#include <bits/stdc++.h>
using namespace std;

typedef struct lab {
    int d;
    int m;
    vector<int> neighbors;
    int neighbor_sum_m;
    int neighbor_sum_d;
} Lab;

int main(void) {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int N,M,Q;
    cin >> N >> M >> Q;
    vector<Lab> labs(N+1);
    for (int i = 1; i < N+1; ++i) {
        int d;
        cin >> d;
        labs.at(i).d = d;  
        labs.at(i).neighbor_sum_d = 0;
        labs.at(i).neighbor_sum_m = 0;  
    }

    for (int i = 1; i < N+1; ++i) {
        int m;
        cin >> m;
        labs.at(i).m = m;     
    }

    for (int i = 0; i < M; ++i) {
        int a,b;
        cin >> a >> b;
        labs.at(a).neighbors.push_back(b);     
        labs.at(b).neighbors.push_back(a);
        labs.at(a).neighbor_sum_d += labs.at(b).d;
        labs.at(a).neighbor_sum_m += labs.at(b).m;
        labs.at(b).neighbor_sum_d += labs.at(a).d; 
        labs.at(b).neighbor_sum_m += labs.at(a).m;
    }
    string s;
    int n;
    for (int i = 0; i < Q; ++i) {
        cin >> s >> n;
        if (s == "add") {
            string type;
            int lab_num;
            cin  >> type >> lab_num; 
            if (type == "desk") {
                Lab &lab = labs.at(lab_num);
                lab.d += n;
                for (auto c : lab.neighbors) {
                    labs.at(c).neighbor_sum_d += n;
                }
            } else {
                Lab &lab = labs.at(lab_num);
                lab.m += n;
                for (auto c : lab.neighbors) {
                    labs.at(c).neighbor_sum_m += n;
                }

            }
        } else {
            Lab &lab = labs.at(n);
            int ms = lab.m + lab.neighbor_sum_m;
            int ds = lab.d + lab.neighbor_sum_d;
            //cout << "ms" << ms << "ds" << ds << endl;
            if (ms > ds) {
                cout << "monitors" << endl;
            } else if (ds > ms) {
                cout << "desks" << endl;
            } else {
                cout << "same" << endl;
            }
        }
    }
    return 0;
}